apiVersion: monitoring.coreos.com/v1alpha1
kind: AlertmanagerConfig
metadata:
  name: main-rules-alert-config
  namespace: monitoring
spec:
  route:
    receiver: 'email'
    repeatInterval: 30m
    routes:
    - matchers:
      - name: alertname
        value: HostHighCpuLoad
    - matchers:
      - name: alertname
        value: KubernetesPodCrashLooping
      repeatInterval: 10m
  receivers:
  - name: 'email'
    emailConfigs:
    - to: 'yz.han@gmail.com'
      from: 'yz.han@egmail.com'
      smarthost: 'smtp.gmail.com:587' # gmail smtp server
      authUsername: 'yz.han@gmail.com'
      authIdentity: 'yz.han@gmail.com'
      authPassword: # reference a secret that holds the username and password
       name: gmail-auth
       key: password

       # stop gmail from blocking our alert
       # 1. in gmail. set a 2 step authentication
       # 2. in google account, allow less secure app: on 